package hscloud.personal.q3k.minecraft.plugin.hscloud;

public class StateSynchronizer {
    private Player[] players_;
    private long time_;
    private Object lock_ = new Object();

    public void setPlayers(Player[] players) {
        synchronized(lock_) {
            players_ = players;
        }
    }

    public void setTime(long time) {
        synchronized(lock_) {
            time_ = time;
        }
    }

    public Player[] getPlayers() {
        synchronized(lock_) {
            return players_;
        }
    }

    public long getTime() {
        synchronized(lock_) {
            return time_;
        }
    }

    public static class Player {
        private String name_;
        private String uuid_;

        public Player(String name, String uuid) {
            name_ = name;
            uuid_ = uuid;
        }

        public String getName() {
            return name_;
        }

        public String getUUID() {
            return uuid_;
        }
    }
}
